Viewing Issue Advanced Details Jump to Notes ] [ View Source: cliffhgr.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04455 Crash/Freeze Critical (emulator) Always 2011-08-18 01:59 2012-02-05 02:55
Tester Tafoid View Status Public Platform
Assigned To aaron Resolution Fixed OS
Status [?] Resolved   Driver cliffhgr.c
Version 0.143u3 Fixed in Version 0.145 Build
Summary 04455: All sets in cliffhgr.c: Crash/assert and graphic issues
Description Normal build:
If you do not touch any video related F-keys or controls, you'll get to "Please Standby" screen for a short time before it drops out. Use of F-keys related to frameskip, throttle or speed (FF) will cause a crash as well.

Debug build:
Graphics offset down and right as well as corrupted. Video not showing properly.
assert: src/emu/render.c:663: palette_get_num_colors(m_palette) == 256")
Steps To Reproduce
Additional Information - Related to changes in TMS9928.c C++-ification work.
- doesn't crash on 64-bit normal build, but does on 32-bit
- maybe related to device_remove("screen"), after adding tms9928
Flags
Regression Version 0.143u3
Affected Sets / Systems All sets in cliffhgr.c
Attached Files
 

- Relationships
related to 04456Resolvedhap bs94, re900: Graphics corrupted/Black Screen 

-  Notes
User avatar (07903)
hap (Developer)
2011-11-27 05:35

I can't test this (means: can't be bothered to download the chd :p)
Since it's related to #4456, is this fixed too now?